Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Typedefs | Functions
nested_struct8.c File Reference
`#include "ffitest.h"`

Go to the source code of this file.

## Data Structures
struct | A
struct | B
struct | C

## Typedefs
typedef struct A | A
typedef struct B | B
typedef struct C | C

## Functions
int | main (void)

## Typedef Documentation

## ◆ A

typedef struct A A

## ◆ B

typedef struct B B

## ◆ C

typedef struct C C

## Function Documentation

## ◆ main()

int main | ( | void |  | ) |

Definition at line 57 of file nested_struct8.c.

References CHECK, ffi_call(), FFI_DEFAULT_ABI, ffi_prep_cif(), ffi_type_uchar, and NULL.